Introduction to TI DeviceExplorer

TI DeviceExplorer is a tool in the TI Connect™ software that you can use to access, change, and update the contents of your TI handheld device. TI DeviceExplorer lets you work with your device’s contents using your computer, making once complicated or time consuming processes quicker and easier.

Before you start using TI DeviceExplorer, you should learn the basics of the tool. This section covers the basic information you may need to know. It includes a description of the TI DeviceExplorer window, as well as information on opening, closing, and setting up TI DeviceExplorer.

Help for TI Connect™ TI DeviceExplorer April 05, 2004 © 2004 Texas Instruments


TI DeviceExplorer window

The TI DeviceExplorer window lists all of the files on the connected TI handheld device, as well as buttons and menus you can use to work with these files.

Parts of the TI DeviceExplorer main window

Directory – A list of the connected device’s contents. It varies depending on the device type and the files on the device.
Menu bar – Menus at the top of the window that you can use to tell the program what actions you want to perform.
Status bar – Part of the TI DeviceExplorer main window that indicates the state of the current operation in TI DeviceExplorer.
Toolbar – A set of buttons on the TI DeviceExplorer window that provides shortcuts to the TI DeviceExplorer tools.


Opening and closing TI DeviceExplorer

You can open TI DeviceExplorer from the TI Connect Home screen or from some of the tools in the TI Connect™ software. You can close TI DeviceExplorer from the menu bar or the TI DeviceExplorer window.

To open TI DeviceExplorer from the TI Connect Home screen

Click TI DeviceExplorer.

The TI DeviceExplorer window opens.

Note: If the Select TI Device dialog box opens, click the appropriate device and then click Select.

To open TI DeviceExplorer from another tool

You can open TI DeviceExplorer from TI ScreenCapture and TI DataEditor.

Click Tools > TI DeviceExplorer or click [image] .

The TI DeviceExplorer window opens.

Note: If the Select TI Device dialog box opens, click the appropriate device and then click Select.

To close TI DeviceExplorer

Click File > Exit or click [image] .


Changing the TI DeviceExplorer window

TI DeviceExplorer lets you change its window. You can hide or show the toolbar and status bar, as well as keep the window on top of other applications.

Note: When the TI DeviceExplorer window shows the Standard toolbar, TI Connect™ toolbar, and/or status bar, they have a check mark by them in the View menu.

To hide or show the toolbar

Click View > Toolbar.

To hide or show the status bar

Click View > Status Bar.

To keep the TI DeviceExplorer window on top of other application windows

Click View > Always On Top.


Changing the selected device type

The TI Connect™ software lets you have multiple devices connected at once. However, the software can only work with one device at a time. When you want to use a device different from the currently selected one, you must change the selected device type. The device type you select becomes the default device for all TI Connect tools. It remains the default until you change the selected device type again.

Before you begin

Make sure the device you want to select is properly connected to the computer.

To change the selected device type

  1. Click Actions > Select Device.

    2. The Select TI Device dialog box opens. The software determines which devices you have connected and lists them in the dialog box.

  2. When the device you want appears in the dialog box, click it.
  3. Click Select.

    4. The software changes the selected device type and refreshes the contents of the TI DeviceExplorer window.

Notes:

  • You can select a device (perform steps 2 and 3) as soon as the device you want appears in the dialog box. You do not have to wait for the software to find all connected devices.
  • If you cancel the Select TI Device dialog box, TI DeviceExplorer will not locate a device to show in the window. This situation is normal and does not indicate a problem. To select a device to show, you can use the steps above.


Viewing device files

TI DeviceExplorer lets you view all of the files on the connected TI handheld device. This section can help you learn to navigate among the many files that your device may contain.


Expanding data types

When you open TI DeviceExplorer, the window has the data types collapsed. Expanding the data types lets you view your device files. You can expand data types individually or expand all data types at once.

To expand a data type

Click the plus sign [image] to the left of the data type you want to expand.

TI DeviceExplorer lists the device files under the data type.

To expand all data types

Click View > Expand All.

TI DeviceExplorer lists all of the device files under their respective data types.


Collapsing data types

Collapsing data types lets you hide the device files under them. You can collapse data types individually or collapse them all at once.

To collapse a data type

Click the negative sign [image] to the left of the data type you want to collapse.

TI DeviceExplorer hides the device file list.

To collapse all data types

Click View > Collapse all.

TI DeviceExplorer hides all expanded data types.


Refreshing the directory

You can refresh TI DeviceExplorer’s directory to make sure it contains the most current device content. You may want to refresh when you change the device contents.

To refresh the TI DeviceExplorer directory

Click View > Refresh or click [image] .

TI DeviceExplorer updates the directory.


Working with device files

The TI DeviceExplorer tool helps you to work with device files on your TI handheld device and your computer. With this tool, you can exchange information between your device and computer and manage the files on your device.


Copying device files to the computer

You can copy files on your TI handheld device to folders on your computer. Once you have copies of your files, you can share them with other people or use them to restore files if they become corrupted or deleted.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

To copy device files to the computer

  1. Navigate to the device file you want to copy.
  2. Click the device file.
  3. Click File > Copy to PC.

    4. The Choose folder dialog box opens.

  4. Navigate to the location where you want to copy the device file.
  5. Click Select.

    6. The Transferring window opens as TI DeviceExplorer copies the device file to your computer.


Moving device files to the computer

You can move most data, files, and programs from the device to the computer. By doing this, you can create more memory on your device without deleting its contents. However, if your device is at or near its memory limit, you may not want to move your device files. You cannot move device files back to your device if it runs out of memory.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

To move files from the device to the computer

  1. Navigate to the file you want to move.
  2. Click the file.
  3. Click File > Move to PC.

    4. The Choose folder dialog box opens.

  4. Navigate to the location where you want to move the file.
  5. Click Select.

    6. The Transferring window opens as TI DeviceExplorer moves the file from the device to the computer.


Opening device files

You can open device files from Windows Explorer. The device files you can open include Variable (list, number, matrix) and Picture files.

To open device files

  1. Navigate to device file you want to open.
  2. Click the file.
  3. Click File > Open.

    4. The software opens the file in the appropriate TI Connect™ tool.


Creating group files from device files

A group file is a file that stores one or more device files on your computer. By creating group files using TI DeviceExplorer, you can send a large number of files to your computer at once and store them together.

Note: For information on working with group files, see the TI Connect help on the home screen.

To create group files

  1. In the TI DeviceExplorer main window, display all of the files you want in the group file.
  2. Press and hold Ctrl, then click each file.
  3. Click File > Create Group.

    4. The Save As dialog box opens.

  4. If necessary, navigate to the location where you want to save the file.
  5. Type a file name for the group file.
  6. Click Save.

    7. The Transferring window opens as TI DeviceExplorer creates the group file and saves it on your computer.


Deleting device files

In TI DeviceExplorer, you can delete Variable (list, number, matrix) and Picture files from your device RAM or Archive. If you want to delete a file from the device Archive, the device must have the most current operating system.

Warning: TI DeviceExplorer does not give a warning message before it deletes files.

To delete device files

  1. Navigate to the file you want to delete.
  2. Click the file.
  3. Click File > Delete.


Working with folders

The TI‑89, TI‑89 Titanium, TI-92, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool store their device files in folders. When you first start using the device, it contains only the folder “main.” However, if you need to, you can create other folders for these devices. TI DeviceExplorer provides you with a way to create new folders for your device and add device files to them. If necessary, TI DeviceExplorer also lets you delete the folders you create.


Creating folders on TI handheld devices

You can create a folder on TI‑89, TI‑89 Titanium, TI-92, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool.

Note: You cannot delete or rename folders using the TI DeviceExplorer software. You must perform these functions on the device.

To create folders on TI handheld devices

  1. Click File > New Folder.

    2. The New Folder dialog box opens.

  2. Type a folder name.

    3. Note: You cannot use a word reserved for the device or the name of an existing folder.

  3. Click OK.

    4. TI DeviceExplorer creates a new folder on the device. The TI DeviceExplorer main window lists the new folder.

  4. (Optional) Add files to the folder. (See "Adding device files to folders")


Adding device files to folders

Once you create a folder on a TI handheld device, you can add files to it from device files saved on your computer. TI DeviceExplorer will divide the files you add to the folder by data type.

To add files to folders

  1. In the TI DeviceExplorer window, click Tools > Windows Explorer or click [image] .

    2. The Windows Explorer window opens.

  2. If necessary, navigate to the file you want to add.
  3. Drag the file to the appropriate folder in the TI DeviceExplorer window.

    4. The transferring window opens as TI DeviceExplorer copies the file to the folder.


Deleting folders on TI handheld devices

You can delete empty folders on your device. This can help you if you create a new folder that you do not want or if you no longer need a particular folder on your device.

Note: You cannot delete the folder named “main.”

To delete folders on TI handheld devices

  1. If necessary, delete the contents of the folder. (See "Deleting device files")
  2. Click the folder.
  3. Click File > Delete.


Updating TI software

You can use the TI Connect™ software to update TI software on your device and your computer. On your device, you can update the operating system, free applications, and purchased applications. On your computer, you can update TI StudyCards™ Creator, TI CellSheet™ Converter, TI NoteFolio™ Creator, TImeSpan Creator, TI LearningCheck™ Creator, TI PackageExplorer, and the TI Connect™ software itself. These updates are free and you can perform them whenever necessary.


Checking for updates

In order to update TI Computer software applications or TI Device applications, you must first check for software updates.

Note: The software does not prompt you to select a device if the last device you selected is still connected to the computer. Instead, it automatically finds updates for the last device you selected.

Before you begin

  • Make sure your device is securely connected to the computer.
  • Make sure you are connected to the Internet.
  • Make sure that only the device you want to update is connected.

To check for software updates

  1. Click Actions > Updates.

    2. The TI Updates dialog box opens with all software types checked.

  2. Click any software types you do not want to update.

    3. TI DeviceExplorer deselects (removes the check marks by) the software types you click.

  3. Click Continue.

    4. If you do not need any updates, the Newest software installed dialog box opens. Click Shop Online to check the store for new software or click Cancel.

    If software updates are available, the TI Updates dialog box opens listing the latest applications.


Updating TI computer software applications

You can use the TI DeviceExplorer software to update TI software applications installed on your computer. With the software, you can update TI StudyCards™ Creator, TI CellSheet™ Converter, TI NoteFolio™ Creator, TImeSpan™ Creator, TI LearningCheck™ Creator, TI Package Explorer, and the TI Connect™ software.

When you update your TI computer software applications, you must first check for available updates. If the software determines that updates are available, you can then download them to your computer.

To update TI computer software applications

  1. Check for TI computer software application updates. (See "Checking for updates")

    2. The TI Updates dialog box opens listing available updates.

  2. Click the TI computer software application(s) you want to download.
  3. Click Save to my computer.
  4. If necessary, click Choose Folder [image] and navigate to a new download location.
  5. Click Continue.

    6. The End User License Agreement dialog box opens.

  6. Read the license agreement and then click I accept the terms of the license agreement.
  7. Click Continue.

    8. The transferring window opens as the software downloads the file to the computer.

    The TI Updates: Download complete dialog box opens when the download finishes.

  8. Click Open Folder to view the downloaded file or click OK to close the dialog box.


Updating operating systems with TI Updates

You can use the TI DeviceExplorer software to update device operating systems. Updating your operating system can give your device new features, support for new accessories, and improved performance.

When you update your device operating systems, you must first check for available updates. If the software determines that updates are available, you can then download them to your device and/or computer.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Make sure you know your TI Online Store account information. If you do not have a TI Online Store account, create one. (See the TI Connect™ help.)
  • Make sure your device is turned on and securely connected to the computer.

To update TI handheld device operating systems with TI Updates

  1. Check for an operating system update. (See "Checking for updates")

    2. The TI Updates dialog box opens listing available updates.

  2. In the TI Updates dialog box, click the operating system.
  3. Click Download to my device and/or click Save to my computer.
  4. If you selected Save to my computer, accept the default download location or click Choose Folder [image] and navigate to a new download location.
  5. Click Continue.

    6. For updates to TI-89, TI-92, TI‑92 Plus, and Voyage™ 200 PLT, a warning opens. Click OK.

    The TI Updates: Online Store Information dialog box opens.

  6. Type your e-mail address.
  7. Type your password.
  8. Click Download!.

    9. The End User License Agreement dialog box opens.

  9. Read the license agreement and then click I accept the terms of the license agreement.
  10. Click Continue.

    11. If you are only downloading to your computer, the Transferring window opens as the TI Connect™ software downloads the operating system to your computer. You do not have to complete steps 11-12.

    If you are downloading the OS to your device, the TI Updates dialog box opens asking if you want to back up your device.

  11. Click Back up and Install OS (Recommended) or click Install OS Only.

    12. Note: An OS download erases some of the device’s files. By backing up the device, you can ensure that you do not lose any files.

  12. Click Continue.

    13. If you are backing up the device and installing the OS, the TI Connect™ software backs up your device files, downloads the new operating system to your device, and then restores the backed-up files.

    If you are only installing the OS, the TI Connect™ software downloads the new operating system to your device.

Notes:

  • If you have trouble downloading the operating system to your device, you can download it to your computer and then use TI OS Downloader to install it on your device.
  • File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.


Updating operating systems with TI OS Downloader

You can use TI OS Downloader to download operating systems from your computer to your device. You may find this updating method especially useful if you have trouble downloading an operating system using other available methods.

Below you can find two sets of instructions. The first set provides instructions on updating TI handheld device operating systems, including TI-73, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool. The second set describes updating data collection device operating systems, including CBL 2 and LabPro devices.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Make sure your device is turned on and securely connected to the computer.
  • If you have multiple devices connected with USB computer cables or USB Silver Edition cables, disconnect all of them except the one you intend to update.

To update TI handheld device operating systems with TI OS Downloader

You can use the following steps to update the TI-73, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool.

  1. Backup your device files (RAM, Archive, and Apps). (See "Backing up device files")
  2. Click Tools > TI OS Downloader.

    3. The TI OSDownloader dialog box opens.

  3. If necessary, select the correct communication settings from the Device, Cable Type, and/or Port drop-down lists.
  4. Click Next.

    5. The fields in the TI OSDownloader dialog box change to “Locate OS File” and “Ready to download.”

    Note: The instructions in the Ready to download field vary with device.

  5. If necessary, click Open [image] and navigate to the OS File location.
  6. Remove the batteries from the device and then reinstall them.
  7. Turn on the device.
  8. If you are updating a TI‑89, TI‑89 Titanium, TI‑92 Plus or Voyage™ 200 PLT, follow the instructions on the device.
  9. Click Start Download.

    10. The Transferring window opens as TI OS Downloader downloads the operating system to the connected device. When the download finishes, the TI OS Downloader dialog box opens saying that the download is complete and TI OS Downloader will now close.

  10. Click OK.
  11. Restore your device files to your device. (See "Restoring backup files")

Note: File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.

To update data collection device operating systems

You can use the following steps to download operating systems to your CBL 2 and LabPro devices.

  1. Click Tools > TI OS Downloader.

  2. If necessary, select the correct communication settings from the Device, Cable Type, and/or Port drop-down lists.
  3. Click Next.

    4. The fields in the TI OSDownloader dialog box change to “Locate OS File” and “Ready to download.”

  4. If necessary, click Open [image] and navigate to the OS File location.
  5. Click Start Download.

    6. The Transferring window opens as TI OS Downloader downloads the operating system to the connected device. When the download finishes, the TI OS Downloader dialog box opens saying that the download is complete and TI OS Downloader will now close.

  6. Click OK.


Updating purchased applications

Updating your purchased applications keeps the software on your device running as efficiently as possible. To update your purchased applications, you must first check for available updates. If the software determines that updates are available, you can then download them to your device and/or computer.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Make sure your device is turned on and securely connected to the computer.
  • Make sure you are connected to the Internet.
  • Make sure your device has the most current operating system.

To update purchased applications

  1. Check for purchased application updates. (See "Checking for updates")

    2. The TI Updates dialog box opens listing available updates.

  2. In the TI Updates dialog box, click the purchased application(s) you want to download to your device.
  3. Click Download my device and/or click Save to my computer.
  4. If you selected Save to my computer, accept the default download location or click Choose Folder [image] and navigate to a new download location.
  5. Click Continue.

    6. The End User License Agreement dialog box opens.

  6. Read the license agreement and then click I accept the terms of the license agreement.
  7. Click Continue.

    8. The transferring window opens as the software downloads the file to the device and/or computer.

    If you are downloading to your computer, the TI Updates: Download complete dialog box opens when the download finishes. Click Open Folder to view the downloaded file or click OK to close the dialog box.

Note: File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.


Updating free applications

Updating your free applications helps you to make sure your software runs as efficiently as possible. To update your free applications, you must first check for available updates. If the software determines that updates are available, you can then download them to your device and/or computer.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Make sure you know your TI Online Store account information. If you do not have a TI Online Store account, create one. (See the TI Connect™ help.)
  • Make sure your device is turned on and securely connected to the computer.
  • Make sure you are connected to the Internet.
  • Make sure your device has the most current operating system.

To update free applications

  1. Check for free application updates. (See "Checking for updates")

    2. The TI Updates dialog box opens listing available updates.

  2. In the TI Updates dialog box, click the free applications you want to download.
  3. Click Download to my device and/or click Save to my computer.
  4. If you selected Save to my computer, accept the default download location or click Choose Folder [image] and navigate to a new download location.
  5. Click Continue.

    6. The TI Updates: Online Store Information dialog box opens.

  6. Type your e-mail address.
  7. Type your password.
  8. Click Download!.

    9. The End User License Agreement dialog box opens.

  9. Read the license agreement and then click I accept the terms of the license agreement.
  10. Click Continue.

    11. The transferring window opens as the software downloads the application(s) to your device and/or computer.

    If you are downloading to your computer, the TI Updates: Download complete dialog box opens when the download finishes. Click Open Folder to view the downloaded file or click OK to close the dialog box.

Note: File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.


Creating and restoring backups

TI DeviceExplorer can help you to maintain your device’s files. With the software, you can create backup files for TI handheld devices. You should create backup files to protect yourself against accidental file deletion or similar occurrences. Once you create a backup file, you can restore it to your device whenever necessary.


Backing up device files

From the TI DeviceExplorer software, you can back up your device’s RAM, archive, and applications. When you back up your device’s software, TI DeviceExplorer creates a group file from your device files. You should perform an occasional back up to ensure that you do not lose any important files.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

Make sure your device is turned on and securely connected to the computer.

To back up device files

  1. Click Actions > Backup Device.

    2. The TI Backup dialog box opens with all data types selected.

    Note: Archive is not selected for the TI-73, TI-83, and TI-92 devices. These devices do not have Archive memory.

  2. Click any data types you do not want to back up.

    3. TI DeviceExplorer deselects (removes the check marks by) the data types you click.

  3. Click Save As [image] .

    4. The Save As dialog box opens.

  4. Accept the file name or type a new file name.
  5. Accept the save location or navigate to a new save location.
  6. Click Save.

    7. The Save As dialog box closes.

  7. On the TI Backup dialog box, click OK.

    8. The Transferring window opens as the software copies your device files to your computer and saves them as a group file.

Note: File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.


Restoring backup files

Using the TI DeviceExplorer software, you can restore backed-up device files to a connected TI handheld device.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Make sure your device has the latest operating system.
  • Make sure your device is turned on and securely connected to the computer.

To restore backup files

  1. Click Actions > Restore.

    2. The Open dialog box opens.

  2. If necessary, navigate to the backup file location.
  3. Click the backup file.
  4. Click Open.

    5. The TI Restore dialog box opens with all data types in the backup file selected.

  5. Click any data types you do not want to restore.

    6. TI DeviceExplorer software deselects (removes the check marks by) the data types you click.

  6. Click OK.

    7. The Transferring window opens as the TI DeviceExplorer restores the backed-up device files to the connected device.

Notes:

  • File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.
  • When you transfer files to the TI-92 device or the Voyage™ 200 Personal Learning Tool, you can overwrite a file currently running on the device. Make sure that you close all Apps and files before transferring a file to a device.
  • If the file name of an application variable or third-party data type that you transfer to a device begins with a digit, and that file exists on the connected device, TI DeviceExplorer does not ask if you want to replace it, it simply replaces it.


Managing date and time on TI handheld devices

TI DeviceExplorer lets you use your computer to manage the date and time on connected devices. This section tells you the different ways you can use the TI DeviceExplorer tool to manage the date and time features for the TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool.

Note: TI‑89 and TI‑92 Plus devices with a hardware version lower than 2.00 and/or an operating system lower than 2.08 do not support this TI DeviceExplorer feature. (See "Finding TI-89/TI-92 Plus hardware and OS version") and (See "Updating operating systems with TI OS Downloader")


Synchronizing TI handheld devices with computers

The quickest way to set the date and time on TI handheld devices is to synchronize them with your computer. By doing this, you can make sure the date and time on the device are accurate and save the time of setting them individually.

To synchronize TI handheld devices with your computer

  1. Click Actions > Manage Clock or click [image] .

    2. The Date and Time dialog box opens.

  2. Click Sync with PC.
  3. Click Set.

    4. TI DeviceExplorer synchronizes the device with the computer and closes the Date and Time dialog box.


Setting the date on TI handheld devices

With TI DeviceExplorer, you can set the date (day, month, and year) on TI handheld devices that support the date and time feature. These devices include the TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool.

To set the date on TI handheld devices

  1. Click Actions > Manage Clock or click [image] .

    2. The Date and Time dialog box opens.

  2. If you need to change the month, click [image] to go back a month or [image] to go forward a month. Continue clicking until you reach the correct month.
  3. If you need to change the year, click [image] to go back a year or [image] to go forward a year. Continue clicking until you reach the correct year.

    4. Note: In the TI Connect™ software, you can only set the year between 1997 and 2100.

  4. If you need to change the day, click the correct day in the calendar.
  5. Click Set.

    6. TI DeviceExplorer sets the date on the device and closes the Date and Time dialog box.


Setting the time on TI handheld devices

Using TI DeviceExplorer, you can set the time (hour, minute, second, AM/PM) on TI handheld devices that support the date and time feature. These devices include the TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool.

To set the time on TI handheld devices

  1. Click Actions > Manage Clock or click [image] .

    2. The Date and Time dialog box opens.

  2. Click the hour and type the correct hour.
  3. Click the minute and type the correct minute.
  4. Click the second and type the correct second.
  5. Click AM or PM and type A for AM or P for PM.
  6. Click Set.

    7. TI DeviceExplorer sets the time on the device and closes the Date and Time dialog box.

Note: You can also use the arrows to the right of the time to select the correct hour, minute, second, or AM/PM designator.


Setting the display format for TI handheld devices

On devices that support the date and time feature, you can use the Date and Time dialog box to indicate how you want the date and time to display on your device. You can set your time for either a 12-hour format (2:20 PM) or a 24-hour format (14:20), and you have many different ways to display the date.

To set the time format for TI handheld devices

  1. Click Actions > Manage Clock or click [image] .

    2. The Date and Time dialog box opens.

  2. In the Display Format field, click 12 hour or 24 hour.
  3. Click Set.

    4. TI DeviceExplorer changes the time display format on the device and closes the Date and Time dialog box.

To set the date format for TI handheld devices

  1. Click Actions > Manage Clock or click [image] .

    2. The Date and Time dialog box opens.

  2. In the Display Format field, select the date format from the drop-down list.
  3. Click Set.

    4. TI DeviceExplorer changes the date display format on the device and closes the Date and Time dialog box.


Turning TI handheld device clocks on or off

On devices that support the date and time feature, you can choose whether or not you want the clock to display the date and time. These devices include the TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI-92 Plus devices and the Voyage™ 200 Personal Learning Tool.

To turn TI handheld device clocks on or off

  1. Click Actions > Manage Clock or click [image] .

    2. The Date and Time dialog box opens.

  2. In the Clock is field, click On or Off.
  3. Click Set.

    4. TI DeviceExplorer turns the device’s clock on or off and closes the Date and Time dialog box.


Setting options

When you start the TI DeviceExplorer software, it operates under default settings. In the software, these settings are called options. You can set these options to meet your specific needs. The options you can set include the default application, default directories, and software update check. If you later decide you want to return to the defaults, you can restore them at any time.

TI DeviceExplorer shares its options with the TI Connect™ software. Any change you make to the options in TI DeviceExplorer also changes the options for TI ScreenCapture, TI DataEditor, and TI Connect Home.


Setting the default application

The TI Connect™ software provides you with the option of setting the default application. The default application is the application that opens when you start the TI Connect™ software. You can choose your default application from the following:

  • TI Connect Home
  • TI DataEditor
  • TI DeviceExplorer
  • TI ScreenCapture

To set the default application

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Click the Default application box.

    3. A drop-down list opens.

  3. From the drop-down list, select a default application.
  4. Click OK.

    5. The software sets the default application. The next time you open the TI Connect™ software, it opens to the new default application.


Setting the default directories

In the TI Connect™ software, you have the option of setting the directories where you want to save the files you create, download, and back up.

To set the default directories

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Under Default Directories, type new file locations or click Choose Folder [image] and navigate to new file locations.
    • The User Data option sets the default folder for the files you create.
    • The Download option sets the default folder for the files you download.
    • The Backup option sets the default folder for the files you back up.
  3. Click OK.

    4. The software sets the default directories.


Setting the check for TI software updates

You can set whether or not you want to check for TI software updates at the TI Connect™ startup. This lets you choose the updating schedule most convenient for you.

To set the check for new TI software

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Under Update device software from web, click one of the following:
    • Check for new software on every startup
    • Do not automatically check for new software
    • Only check for new software at startup > once per week
    • Only check for new software at startup > once per month
  3. Click OK.

    4. The software sets the update check schedule.

Notes:

  • The TI Connect™ software only checks for new software at the startup if TI Connect Home is the default application.
  • Computers with firewall protection may encounter some problems when the TI Connect™ software checks for new software at the startup.


Restoring the default settings

Once you change the TI Connect™ settings, you may want to return them to their default. You can do so from the TI Connect options dialog box.

To restore default settings

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Click Restore Defaults.

    3. The software restores the TI Connect™ default settings.


Troubleshooting

This section contains information to help you quickly solve any problems you may encounter while using TI DeviceExplorer. If you are unable to find an answer to your question here or in the help, visit the TI-Cares™ KnowledgeBase.


Frequently-asked questions

Q: Can I have multiple devices connected to my computer?

A: Yes. However, you can only use one device at a time with the software.

Q: Why can’t I select updates for my applications?

A: You have selected an operating system to download. You cannot download an operating system and a Flash application at the same time.

Q: Why did my archived TI‑89/TI‑89 Titanium/TI-92/TI‑92 Plus/Voyage™ 200 Personal Learning Tool (PLT) device file transfer to the main folder on my device?

A: You may have transferred a function data type. On the TI‑89/TI‑89 Titanium/TI-92/TI‑92 Plus/Voyage™ 200 PLT, a function data type can only exist in the main folder on the device.

Q: When I cancel a transfer, why does “Cancel” change to “Cancel Now”?

A: The TI Connect™ software gives you two options for canceling a transfer. If you only click Cancel, the transfer stops after the current data file completes its transfer. If you click Cancel and then click Cancel Now, the transfer stops immediately. (See "Canceling transfers")

Q: Can I transfer the same file to different types of devices?

A: Yes. You can transfer data files between the:

    • TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, and TI‑84 Plus Silver Edition devices.
    • TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 PLT.

Note: Some files may not run the same on the another device.

Q: Can I transfer files that were not created on my device or in TI Connect?

A: Yes. You can send TI NoteFolio™ documents, TI CellSheet™ documents, TI LearningCheck™ documents, TImeSpan™ documents, Excel spreadsheets, TI StudyCards™, WinZip files, and TI Package Explorer files.

Q: Can I change the device that is open in the window?

A: Yes. Click Actions > Select Device to change the device.

Q: In the Select TI Device dialog box, can I select a device before the software locates all of the connected devices?

A: Yes. In the Select TI Device dialog box, you can select a device as soon as it appears.

Q: How do I delete an Equation file with TI DeviceExplorer?

A: You cannot. You must delete Equation files on your device.

Q: Why does the software list Equation file Y0 as Y_0_ in the directory?

A: Due to a technical issue, TI DeviceExplorer cannot list Y0 in the directory. Instead, it lists the equation’s file name as Y_0_. This is not a problem with your TI Connect™ software.

Q: When I use TI DeviceExplorer to delete files on my TI-73 device, why does it show text in the Edit line?

A: When you use TI DeviceExplorer to delete files on a connected TI-73, TI DeviceExplorer sends the actual keystrokes to the connected device. Therefore, you may see text in the Edit line of the TI-73.

Q: How do I delete/lock/unlock/overwrite Archived variables or programs in TI DeviceExplorer?

A: You cannot. You must use your device to delete, lock, unlock, or overwrite Archived variables or programs.

Q: On which devices can I use the date and time feature?

A: You can use the date and time feature on the TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 PLT. The TI‑89 and TI‑92 Plus devices must have a hardware version of 2.00 or higher and an operating system of 2.08 or higher.

Q: Can I change the date and time on my device without doing each part individually?

A: Yes. You can synchronize your device with your computer. (See "Synchronizing TI handheld devices with computers")

Q: Why can’t I manage date and time on my TI‑89/TI‑92 Plus device?

A: You may have a TI-89/TI-92 Plus device that does not have date and time capabilities. Only TI-89/TI-92 devices with an operating system of 2.08 or higher and a hardware version of 2.00 or higher support the date and time feature. (See "Finding TI-89/TI-92 Plus hardware and OS version") and (See "Managing date and time on TI handheld devices")

Q: Why can’t TI DeviceExplorer communicate with my device?

A: There may be several reasons why TI DeviceExplorer cannot communicate with your device:

    • You canceled the Select TI Device dialog box.
    • The TI Connectivity Cable is not connected correctly.
    • Other hardware or software is using the communication port.
    • A Firewall is causing interference with the TI DeviceExplorer software.

Q: I am receiving a warning from my firewall protection. Does the software track my computer and Internet activities?

A: Some software products that provide firewall protection against Internet intrusion may open a warning that the TI Connect™ software is attempting to connect to the Internet, track your Internet activities, or report back to the TI Connect™ software. This may be caused when the TI Connect™ software attempts to automatically check the TI Online Store for updates to the device operating system or Flash applications. The TI Connect™ software does not use cookies or any other means to track your computer or Internet activities.


Error messages

Error message
Possible causes and/or solutions
Cannot establish a valid connection
  • You canceled the Select TI Device dialog box. When you cancel the Select TI Device dialog box, TI DeviceExplorer cannot locate a connected device to open in the window.
  • The device or cables are not connected correctly. Make sure your device is turned on and securely connected to the computer.
Could not communicate with device
  • Make sure your device is turned on and securely connected to the computer.
  • Reselect your device. (See "Changing the selected device type")
Device Not Found
The TI Connect™ software cannot connect to the attached device.
  • Make sure your device is turned on and securely connected to the computer.
  • Reselect your device. (See "Changing the selected device type")
Error retrieving data from the selected file
  • One or more of the files you selected is not a device file, so you cannot transfer it. Make sure you select only device files and try again.
  • The total number of characters in the path name and file name exceeds 128. Make sure the file’s path name and file name are less than 129 characters in length.
Garbage Collecting / Defragmenting
You have sent something to the device that it may not have enough room to store. The device is attempting to make room for additional archived variables.
If your device continues Garbage Collecting for more than 20 minutes, it is possibly locked up. You need to reset the device.
Out of Memory
The handheld software applications (Apps) loaded on your device use up most of the available memory. Delete an App, program, or data to free up more memory. (See "Deleting handheld software applications")
Waiting...Please install calculator software now
The operating system update failed or was interrupted. Reinstall the device operating system. (See "Updating operating systems with TI OS Downloader")
Unable to communicate with the device!
TI DeviceExplorer cannot connect to the attached device.
  • Make sure your device is turned on and securely connected to the computer.
  • Reselect your device. (See "Changing the selected device type")
Unknown
The TI Connect™ software is unable to find your device. Make sure your device is turned on and securely connected to the computer.


Finding TI-89/TI-92 Plus hardware and OS version

In order to use the date and time feature on the TI‑89 and TI‑92 Plus devices, you must have an operating system of 2.08 or higher and a hardware version of 2.00 or higher. You can use the steps below to determine if your device meets these requirements.

To find the TI‑89 or TI‑92 Plus hardware and operating system version

  1. On your TI‑89/TI‑92 Plus device, press F1.

    2. A drop-down list opens.

  2. From the drop-down list, select A:About.

    3. The About window opens listing information about the device.

  3. In the About window, locate the OS and/or Hardware version.

Notes:

  • If you determine that you need a new hardware version, you can download one from the TI Online store. (See the TI Connect™ help.)
  • If you determine that you need a new operating system, you can download one using TI DeviceExplorer. (See "Updating operating systems with TI OS Downloader")


Canceling transfers

If you decide that you no longer want to perform a transfer, you can cancel it. You have two options for canceling a transfer. You can cancel a transfer when the current file finishes sending or you can cancel a transfer immediately (in the middle of sending a file).

Note: A transfer is the exchange of information between the device and the computer that occurs during a move, copy, send, or download.

To cancel after the current file transfers

Click Cancel.

The name on the Cancel button changes from Cancel to Cancel Now, and the transfer continues until the current file completes its transfer.

To cancel the transfer immediately

  1. Click Cancel.

    2. The name on the cancel button changes from Cancel to Cancel Now.

  2. Click Cancel Now.

    3. The transfer ends immediately.


Deleting handheld software applications

Your device has only a limited amount of memory available. In order to install additional Handheld Software Applications (Apps) on your device, you may have to delete one of your other Apps to free up more memory.

To delete an App from the TI-73 device

  1. Press [image] [image].

    2. The MEMORY menu opens.

  2. Select 4:Delete.
  3. Select 8:Apps.
  4. Select the App you want to delete.
  5. Press [image].
  6. Select 2:Yes.

To delete an App from the TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, or TI‑84 Plus Silver Edition devices

  1. Press [image] [image].

    2. The MEMORY menu opens.

  2. Select 2:Mem Mgmt/Del.
  3. Select A:Apps.
  4. Select the App you want to delete
  5. Press [image].
  6. Select 2:Yes.

To delete an App from the TI‑89, TI‑89 Titanium, or TI‑92 Plus device or Voyage™ 200 Personal Learning Tool

  1. Press [image] [image].
  2. Press [image].

    3. An application list opens.

  3. Select the App you want to delete.
  4. Press [image].
  5. Select 1:Delete or press [image].
  6. Press [image].


Reinstalling device operating systems

The error message “Waiting... Please install calculator software now” indicates that you need to reinstall your device operating system. When you receive this error message, you should use the TI OS Downloader tool to reinstall your device’s operating system. (See "Updating operating systems with TI OS Downloader")


Glossary

This section provides reference material that you may find helpful while using TI DeviceExplorer. In it, you can find terminology and file type explanations.


Terms

application – 1: Software designed to run on a TI handheld device, such as TI CellSheet™ Converter. Also called an App. 2: Software you can use with a TI handheld device, such as TI DeviceExplorer. More commonly called a tool.
archive – Storage of data, programs, and variables so that you cannot edit or delete them.
copy – To make a duplicate of a file and move that duplicate to a new location.
default application – The tool that opens when you start the TI Connect™ software. It may be TI Connect Home, TI DataEditor, TI DeviceExplorer, or TI ScreenCapture. At installation, the default is TI Connect Home.
device settings – Files that control how certain device features, such as tables or windows, are set up.
display format – The format of the date and time on a TI‑89, TI‑89 Titanium, and TI‑92 Plus devices or a Voyage™ 200 Personal Learning Tool.
drag-and-drop – A process of transferring files where you click a file, drag the file to the new location, and drop the file there.
edit – To make changes to file data.
list variable – Numeric data listed in one column and multiple rows.
matrix variable – Numeric data listed in multiple rows and columns.
move – To remove a file from its current location and put it in a new location.
number variable – Numeric data listed in one column and one row.
picture – Screen images stored on the connected device.
RAM – Memory that holds temporary data, that is, data that you can edit or delete. You can transfer this data between your device and computer.
refresh – To update TI DeviceExplorer with any changes made to the device files, or to load the files of a new device into TI DeviceExplorer.
tool – A computer software application you can use with a TI handheld device.
transfer – To copy, move, send, or download a device file.


File types

Application (App) (*.XXk) – A handheld software application file (such as TI CellSheet™ Converter, TI StudyCards™ Creator, TI NoteFolio™ Creator, TI LearningCheck™ Creator, TImeSpan™ Creator, LogIn, etc.) Examples: calctool.89k, areaform.8xk.
Application Variable file (AppVar) (*.XXv, *.XXc, *.XXy) – A file containing variables read, created and/or used by specific Apps (such as TI CellSheet Creator, TI StudyCards Creator, TI NoteFolio Creator, TI LearningCheck Creator, and TImeSpan Creator). Examples: var01.8xv, var01.9xc.
ASCII text file (*.txt) – A file that contains plain text. In TI DataEditor, you can use it to import and exporting files between the tool and a spreadsheet program. Examples: NewFile.txt, Sam4.txt.
BMP file (*.bmp) – A type of bitmap file. Examples: TEST.bmp, PICTURE.bmp.
Complex file (*.XXc) – A file that contains complex number variables for a specific TI handheld device. Examples: P.83c, Z.8Xc.
Equation file (*.XXy) – A file containing an equation stored in the Y= editor of a handheld device. Examples: Y1.8xy, Y3.73y.
Expression file (*.XXe) – A file containing a mathematical expression (numbers, variables, operators, and so on) that evaluates a single number. Related to a number variable file. Examples: Folder1.express.9Xe, main.differ.V2e.
Function file (*.XXy) – A file containing a function stored in the Y= editor of a handheld device. Examples: Y1.8xy, Y3.73y.
Geometry Figure file (*.XXa) – A Geometer Sketchpad or Cabri Geometry File. Example: Fig1.89a.
Geometry Macro file (*.XXx) – A Geometer Sketchpad or Cabri Geometry Macro file. Example: Mac2.89x.
Graph Database file (*.XXd) – A file that stores the necessary information (Mode, Y=, Table, Window and graph formats) to recreate a specific graph. Examples: GDB0.8Xd, GDB3.86d.
Handheld Software Application file (App) (*.XXk) – A handheld software application file (such as CellSheet, StudyCards, NoteFolio, LearningCheck, LogIn, etc.) Examples: speller.8xk, puzzpack.89k, and timlin.9xk.
JPEG file (*.jpg) – A type of bitmap file commonly used on Web sites. Examples: SCREEN02.jpg, IMAGE2.jpg, MYPICTURE.jpg
List variable file (*.XXI) – A file that contains a list variable for specific TI handheld devices. Examples: L2.73I, L3.89I, L1.8XI, Var1.9XI.
Matrix variable file (*.XXm) – A file that contains a matrix variable for a specific TI handheld device. Examples: A.8Xm, Var4.92m, Variable.V2m.
Number variable file (*.XXn) – A file that contains a number variable for a specific TI handheld device. Examples: A.73n, X.83n, Q.8Xn.
Picture file (*.XXi) – A graphic file for a specific TI handheld device. Examples: SCREEN04.73i, SCREENEXP.8Xi, MYIMAGE.v2i.
Program file (*.XXp) – A file that contains a program created for a TI handheld device. Examples: MyProgram.8xp, Circle.8xp.
String file (*.XXs) – A file containing a variable made up of alphanumeric characters. Examples: Hi.86s, Stop.89s.
Studycard file (*.XXv) – A file that contains a set of studycards for a TI handheld device. Examples: grammar.8xv, unitcov.73v.
Text file (*.txt) – A file that contains plain text. In TI DataEditor, you can use it to import and exporting files between the tool and a spreadsheet program. Examples: NewFile.txt, Sam4.txt.
TI Group file (*.tig) – A collection of device files stored together as one file. Example: TI83.tig.


Icons

The TI DeviceExplorer directory displays icons that indicate file type. Below you can find a list of the icons you may see in the directory for your device.

Name
Icon
Name
Icon
Applications
ID List
Application Variable
Lab Report
Constant
List variable
Device Settings
Matrix variable
Equation
Number variable
Expression
Picture
Flash/Archive
Program
Fraction
String
Geometry Figure
StudyCards
Geometry Macro
Table
Graph Database
Text
Group
Vector


Legal Information

This section contains important legal notices about this product. In it, you can find important information, service and support information, and the license agreement.


Important Information

Texas Instruments makes no warranty, either express or implied, including but not limited to any implied warranties of merchantability and fitness for a particular purpose, regarding any programs or book materials and makes such materials available solely on an "as-is" basis. In no event shall Texas Instruments be liable to anyone for special, collateral, incidental, or consequential damages in connection with or arising out of the purchase or use of these materials, and the sole and exclusive liability of Texas Instruments, regardless of the form of action, shall not exceed the purchase price of this product. Moreover, Texas Instruments shall not be liable for any claim of any kind whatsoever against the use of these materials by any other party.

Graphing product applications (Apps) are licensed. See the terms of the license agreement for each product.

Copyright © 2004 Texas Instruments Incorporated

Microsoft is a trademark of its owner.


Texas Instruments Support and Service

For general information

Home Page:

education.ti.com

KnowledgeBase and e-mail inquiries:

education.ti.com/support

Phone:

(800) TI-CARES / (800) 842-2737
For U.S., Canada, Mexico, Puerto Rico, and
Virgin Islands only

International information:

education.ti.com/support

(Click the International Information link.)

For technical support

KnowledgeBase and support by e‑mail:

education.ti.com/support

Phone
(not toll-free):

(972) 917-8324

For product (hardware) service

Customers in the U.S., Canada, Mexico, Puerto Rico and Virgin Islands: Always contact Texas Instruments Customer Support before returning a product for service.

All other customers: Refer to the leaflet enclosed with this product (hardware) or contact your local Texas Instruments retailer/distributor.


Texas Instruments PC Software License Agreement

By downloading/installing this software and/or documentation, you agree to abide by the following provisions.

  1. License: Subject to your payment of any applicable license fee, Texas Instruments Incorporated ("TI") grants you a license to copy and use the software program(s) and documentation from the linked web page or CD ROM ("Licensed Materials"). In addition to the copy resident on your computer, you may keep a copy on diskette or CD for backup / archive purposes.
  2. Restrictions: You may not reverse-assemble or reverse-compile the software program portion of the Licensed Materials that are provided in object code format. You may not sell, rent, or lease copies of the Licensed Materials.
  3. Support: Support for the Licensed Materials is described in the documentation that accompanies the software. Absent such documentation, support shall be provided by TI.
  4. Copyright: The Licensed Materials and any accompanying documentation are copyrighted. If you make copies, do not delete the copyright notice, trademark, or protective notices from the copies.
  5. Warranty: TI warrants that it has the right to provide the Licensed Materials. TI does not warrant that the Licensed Materials will be free from errors or will meet your specific requirements. The Licensed Materials are made available "AS IS" to you or any subsequent user.

    6. Although no warranty is given for the Licensed Material, the media (if any) will be replaced if found to be defective during the first three (3) months of use, when the package is returned postage prepaid to TI. THIS PARAGRAPH EXPRESSES TI'S MAXIMUM LIABILITY AND YOUR SOLE AND EXCLUSIVE REMEDY.

  6. Limitations: Except as explicitly stated above, TI makes no warranty or condition, either express or implied, including but not limited to any implied warranties of merchantability and fitness for a particular purpose, regarding the Licensed Materials.

    7. In no event shall TI or its suppliers be liable for any indirect, incidental or consequential damages, loss of profits, loss of use or data, or interruption of business, whether the alleged damages are labeled in tort, contract or indemnity.

    Some states or jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation may not apply.

  7. Additional terms: This Agreement will immediately terminate if you fail to comply with its terms. Upon termination of this Agreement, you agree to return or destroy the original package and all whole or partial copies of the Program in your possession and so certify in writing to TI.

    8. The export and re-export of United States original software and documentation is subject to the Export Administration Act of 1969 as amended. Compliance with such regulations is your responsibility. You agree that you do not intend to nor will you, directly or indirectly, export, re-export or transmit the Program or technical data to any country to which such export, re-export or transmission is restricted by any applicable United States regulation or statute, without the proper written consent or license, if required of the Bureau of Export Administration of the United States Department of Commerce, or such other governmental entity as may have jurisdiction over such export, re-export or transmission.

    If the Program is provided to the U.S. Government pursuant to a solicitation issued on or after December 1, 1995, the Program is provided with the commercial license rights and restrictions described elsewhere herein. If the Program is provided to the U.S. Government pursuant to a solicitation issued prior to December 1, 1995, the Program is provided with "Restricted Rights" as provided for in FAR, 48 CFR 52.227-14 (JUNE 1987) or DFAR, 48 CFR 252.227-7013 (OCT 1988), as applicable.